Page MenuHomePhabricator

striker CI fails on Debian Stretch due to cryptography dependency
Closed, ResolvedPublic

Description

Same issue as T212395: cergen CI fails to run on Debian Stretch because cryptography dependency cannot be built against newer openssl version.

When I switched striker's CI to run on Debian Stretch it started to fail building because of cryptography and the newer openssl version.

The full log is https://integration.wikimedia.org/ci/job/labs-striker-tox-docker/44/consoleFull

For now I've kept striker CI on Debian Jessie, but that isn't a long-term sustainable solution.

Event Timeline

Legoktm created this task.Dec 20 2018, 6:58 AM
hashar added a subtask: Restricted Task.Dec 20 2018, 7:38 AM
hashar added a subscriber: hashar.Dec 20 2018, 7:41 AM
Collecting cryptography==1.5

It is outdated and that is the subject of T199488 thought we are not affected hence the update is not a priority. Now, to get compatible with latest OpenSSL, for sure the dependency should be updated.

bd808 moved this task from Backlog to Doing on the Striker board.Dec 30 2018, 4:05 AM

Change 481799 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker@master] Upgrade to Django 2.1

https://gerrit.wikimedia.org/r/481799

bd808 added a subscriber: bd808.Jan 1 2019, 11:16 PM

The patch chain at https://gerrit.wikimedia.org/r/#/q/topic:fix-all-the-things+(status:open+OR+status:merged) should make things awesome, but I need some help getting the assumptions that I made in the tox config right. This should all test against versions of Python and libs from Stretch. Integration/config has always been a bit confusing for me to navigate and now that there are other bits like custom Docker containers in the mix I'm lost.

Change 481799 merged by BryanDavis:
[labs/striker@master] Upgrade to Django 2.1

https://gerrit.wikimedia.org/r/481799

bd808 closed this task as Resolved.Jan 2 2019, 12:31 AM
bd808 claimed this task.

Fixed with help from @Legoktm who took care of the magic parts on the integration/config side of things.

bd808 closed subtask Restricted Task as Resolved.Jan 2 2019, 1:32 AM

65a7a3685444c062cd1adea3e7fdd026c779ad0f

Which bumps the image to docker-registry.wikimedia.org/releng/tox-labs-striker:0.2.1. That is to switch it to Debian Stretch and also provide python 3.4, 3.5, 3.6 and 3.7 ;)

Change 498227 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/staticfiles@master] Update static assets

https://gerrit.wikimedia.org/r/498227

Change 498227 merged by jenkins-bot:
[labs/striker/staticfiles@master] Update static assets

https://gerrit.wikimedia.org/r/498227

Change 498236 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/wheels@master] Update wheels for Django 2.1

https://gerrit.wikimedia.org/r/498236

Change 498236 merged by jenkins-bot:
[labs/striker/wheels@master] Update wheels for Django 2.1

https://gerrit.wikimedia.org/r/498236